Package com.collibra.dgc.core.api.dto.role

# Class AddRoleRequest

Object
AddRoleRequest

All Implemented Interfaces:
  `Serializable`

public class AddRoleRequest extends Object implements Serializable
The properties of the role to be added.

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static final class`
  `AddRoleRequest.Builder`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AddRoleRequest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static AddRoleRequest.Builder`
  `builder()`
  `protected boolean`
  `canEqual(Object other)`
  `boolean`
  `equals(Object o)`
  `String`
  `getDescription()`
  The description of the role.
  `UUID`
  `getId()`
  The ID of the new role.
  `String`
  `getName()`
  Required. The name of the new role.
  `List<Permission>`
  `getPermissions()`
  The permissions to be granted for this role.
  `int`
  `hashCode()`
  `boolean`
  `isDisabled()`
  Whether the role should be disabled or not.
  `boolean`
  `isGlobal()`
  Whether the role should be a global or resource role.
  `void`
  `setDescription(String description)`
  The description of the role.
  `void`
  `setDisabled(boolean disabled)`
  Whether the role should be disabled or not.
  `void`
  `setGlobal(boolean global)`
  Whether the role should be a global or resource role.
  `void`
  `setId(UUID id)`
  The ID of the new role.
  `void`
  `setName(String name)`
  Required. The name of the new role.
  `void`
  `setPermissions(List<Permission> permissions)`
  The permissions to be granted for this role.
  `String`
  `toString()`

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### AddRoleRequest

    public AddRoleRequest()

- ## Method Details

  - ### builder

    public static AddRoleRequest.Builder builder()

  - ### getId

    public UUID getId()
    The ID of the new role. Should be unique within all roles.

    It should have a format of universally unique identifier (UUID) and should not start with `00000000-0000-0000-` which is a reserved prefix

  - ### getName

    public String getName()
    Required. The name of the new role. Should be unique within all roles.

  - ### isGlobal

    public boolean isGlobal()
    Whether the role should be a global or resource role.

  - ### getDescription

    public String getDescription()
    The description of the role.

  - ### getPermissions

    public List<Permission> getPermissions()
    The permissions to be granted for this role.

  - ### isDisabled

    public boolean isDisabled()
    Whether the role should be disabled or not.

  - ### setId

    public void setId(UUID id)
    The ID of the new role. Should be unique within all roles.

    It should have a format of universally unique identifier (UUID) and should not start with `00000000-0000-0000-` which is a reserved prefix

  - ### setName

    public void setName(String name)
    Required. The name of the new role. Should be unique within all roles.

  - ### setGlobal

    public void setGlobal(boolean global)
    Whether the role should be a global or resource role.

  - ### setDescription

    public void setDescription(String description)
    The description of the role.

  - ### setPermissions

    public void setPermissions(List<Permission> permissions)
    The permissions to be granted for this role.

  - ### setDisabled

    public void setDisabled(boolean disabled)
    Whether the role should be disabled or not.

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### canEqual

    protected boolean canEqual(Object other)

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`